Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class GetFullMessageResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class GetFullMessageResponse extends ResponseType implements Serializable

Java class for GetFullMessageResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetFullMessageResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="Sender" type="{urn:be:fgov:ehealth:ehbox:core:v3}SenderType"/>
             <element name="Message" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ConsultationMessageType"/>
             <element name="MessageInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetFullMessageResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultationMessageType`
  `getMessage()`
  Gets the value of the message property.
  `MessageInfoType`
  `getMessageInfo()`
  Short message details
  `SenderType`
  `getSender()`
  The official sender of the message
  `void`
  `setMessage(ConsultationMessageType value)`
  Sets the value of the message property.
  `void`
  `setMessageInfo(MessageInfoType value)`
  Sets the value of the messageInfo property.
  `void`
  `setSender(SenderType value)`
  Sets the value of the sender property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetFullMessageResponse

    public GetFullMessageResponse()

- ## Method Details

  - ### getSender

    public SenderType getSender()
    The official sender of the message
    Returns:
      possible object is `SenderType`

  - ### setSender

    public void setSender(SenderType value)
    Sets the value of the sender property.
    Parameters:
      `value` - allowed object is `SenderType`
    See Also:
      - `getSender()`

  - ### getMessage

    public ConsultationMessageType getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `ConsultationMessageType`

  - ### setMessage

    public void setMessage(ConsultationMessageType value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `ConsultationMessageType`

  - ### getMessageInfo

    public MessageInfoType getMessageInfo()
    Short message details
    Returns:
      possible object is `MessageInfoType`

  - ### setMessageInfo

    public void setMessageInfo(MessageInfoType value)
    Sets the value of the messageInfo property.
    Parameters:
      `value` - allowed object is `MessageInfoType`
    See Also:
      - `getMessageInfo()`